package com.eactive.eai.adapter.socket2.common;

import com.eactive.eai.common.server.Keys;

public class Env {
	static final boolean IS_WINDOWS = System.getProperty("os.name", "Windows").startsWith("Windows");
	static final boolean IS_ECHO = System.getProperty("echo") != null;
	static final boolean IS_TEST = System.getProperty("test") != null;
	static final boolean IS_STANDALONE = System.getProperty(Keys.SERVER_KEY) == null;
	static final boolean IS_SMS_ENABLED = System.getProperty("sms.logging", "true").equalsIgnoreCase("true");
	
	private Env() {
		
	}
	
	public static boolean isWindows() {
		return IS_WINDOWS;
	}
	
	public static boolean isEcho() {
		return IS_ECHO;		
	}

	public static boolean isTest() {
		return IS_TEST;		
	}

	public static boolean isStandalone() {
		return IS_STANDALONE;		
	}
	
	public static boolean isSmsEnabled() {
		return IS_SMS_ENABLED;
	}
}
